import React from 'react';
import Button from "../Button";
import { FormWrap } from "./FormWrap";
import PageLayout from "../..\\layout\\PageLayout";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var Form = function Form(_ref) {
  var title = _ref.title,
    width = _ref.width,
    customTopSidebar = _ref.customTopSidebar,
    topSideBar = _ref.topSideBar,
    _ref$nextName = _ref.nextName,
    nextName = _ref$nextName === void 0 ? 'next' : _ref$nextName,
    _ref$cancelName = _ref.cancelName,
    cancelName = _ref$cancelName === void 0 ? 'cancel' : _ref$cancelName,
    children = _ref.children;
  return /*#__PURE__*/_jsx(FormWrap, {
    width: width || '40%',
    children: /*#__PURE__*/_jsx("form", {
      className: "center",
      children: /*#__PURE__*/_jsxs("div", {
        className: "formContainer",
        children: [/*#__PURE__*/_jsx(PageLayout, {
          title: title,
          width: width || '100%',
          customTopSidebar: customTopSidebar,
          topbarTabs: topSideBar,
          fix: false
        }), children, /*#__PURE__*/_jsxs("div", {
          className: "formButtonContainer",
          children: [/*#__PURE__*/_jsx(Button, {
            label: nextName
          }), /*#__PURE__*/_jsx(Button, {
            label: cancelName,
            style: {
              marginLeft: 25
            }
          })]
        })]
      })
    })
  });
};
export default Form;